using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OcadMapLibrary {

	public class RectangleSymbol : MapSymbol {

		public RectangleSymbol() {
		}

		MapColorRef strokeColor;
		public MapColorRef StrokeColor {
			get {
				return strokeColor;
			}
			set {
				strokeColor = value;
			}
		}

		double strokeThickness;
		public double StrokeThickness {
			get {
				return strokeThickness;
			}
			set {
				strokeThickness = value;
			}
		}

		double cornerRadiusX;
		public double CornerRadiusX {
			get {
				return cornerRadiusX;
			}
			set {
				cornerRadiusX = value;
			}
		}

		double cornerRadiusY;
		public double CornerRadiusY {
			get {
				return cornerRadiusY;
			}
			set {
				cornerRadiusY = value;
			}
		}

	}

}
